diff --git a/CMakeLists.txt b/CMakeLists.txt
index 373f21a..040b051 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -40,7 +40,6 @@ pkg_check_modules(POLKIT_AGENT REQUIRED polkit-agent-1)
 pkg_check_modules(ACCOUNTSSERVICE REQUIRED accountsservice)
 pkg_check_modules(GLIB REQUIRED glib-2.0)
 pkg_check_modules(TRUST_STORE REQUIRED trust-store)
-pkg_check_modules(LIBSYSTEMD REQUIRED libsystemd)
 
 add_subdirectory(plugins/security-privacy)
 
diff --git a/plugins/security-privacy/polkitlistener.cpp b/plugins/security-privacy/polkitlistener.cpp
index dbc6ce6..bcfdfd8 100644
--- a/plugins/security-privacy/polkitlistener.cpp
+++ b/plugins/security-privacy/polkitlistener.cpp
@@ -20,7 +20,6 @@
 #include "polkitlistener.h"
 #include <stdlib.h>
 #include <unistd.h>
-#include <systemd/sd-login.h>
 
 struct _UssPolkitListenerPrivate
 {
@@ -113,9 +112,7 @@ bool uss_polkit_listener_register(UssPolkitListener *listener)
     // only cached auths.  It's not critical that they are preserved.
     char *sessionId = g_strdup(getenv("XDG_SESSION_ID"));
     if (!sessionId) {
-        if (sd_uid_get_display(getuid(), &sessionId) != 0) {
-            return false;
-        }
+       return false;
     }
     PolkitSubject *subject = polkit_unix_session_new(sessionId);
     g_free(sessionId);

